Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.signers
Class RSADigestSigner

    java.lang.Object
      org.bouncycastle.crypto.signers.RSADigestSigner

All Implemented Interfaces:
  Signer

public class RSADigestSigner
extends java.lang.Object
implements Signer

Constructor Summary
`RSADigestSigner(Digest digest)`
`RSADigestSigner(Digest digest, ASN1ObjectIdentifier digestOid)`

Method Summary
`byte[]` | `generateSignature()` Generate a signature for the message we've been loaded with using the key we were initialised with.
`java.lang.String` | `getAlgorithmName()` Deprecated.
`void` | `init(boolean forSigning, CipherParameters parameters)` Initialize the signer for signing or verification.
`void` | `reset()` reset the internal state
`void` | `update(byte input)` update the internal digest with the byte b
`void` | `update(byte[] input, int inOff, int length)` update the internal digest with the byte array in
`boolean` | `verifySignature(byte[] signature)` return true if the internal state represents the signature described in the passed in array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSADigestSigner

    public RSADigestSigner(Digest digest)

### RSADigestSigner

    public RSADigestSigner(Digest digest,
                           ASN1ObjectIdentifier digestOid)

Method Detail

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Deprecated.

### init

    public void init(boolean forSigning,
                     CipherParameters parameters)

  Initialize the signer for signing or verification.

  Specified by:
    `init` in interface `Signer`
  Parameters:
    `forSigning` - true if for signing, false otherwise
    `parameters` - necessary parameters.

### update

    public void update(byte input)

  update the internal digest with the byte b

  Specified by:
    `update` in interface `Signer`

### update

    public void update(byte[] input,
                       int inOff,
                       int length)

  update the internal digest with the byte array in

  Specified by:
    `update` in interface `Signer`

### generateSignature

    public byte[] generateSignature()
                             throws CryptoException,
                                    DataLengthException

  Generate a signature for the message we've been loaded with using the key we were initialised with.

  Specified by:
    `generateSignature` in interface `Signer`
  Throws:
    `CryptoException`
    `DataLengthException`

### verifySignature

    public boolean verifySignature(byte[] signature)

  return true if the internal state represents the signature described in the passed in array.

  Specified by:
    `verifySignature` in interface `Signer`

### reset

    public void reset()

  Description copied from interface: `Signer`
  reset the internal state

  Specified by:
    `reset` in interface `Signer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD